<?php
namespace MageWorx\ShippingRules\Block\Logger;

/**
 * Interceptor class for @see \MageWorx\ShippingRules\Block\Logger
 */
class Interceptor extends \MageWorx\ShippingRules\Block\Logger implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \MageWorx\ShippingRules\Helper\Data $helper, \Magento\Framework\Serialize\Serializer\Json $jsonSerializer, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $helper, $jsonSerializer, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
